Httpd not updating

Building complete list of updates ..

Now updating httpd httpd-devel httpd-manual httpd-tools mod_ssl ntpdate virtualmin-base ..

Installing package(s) with command /bin/yum -y install httpd.x86_64 httpd-devel.x86_64 httpd-manual.noarch httpd-tools.x86_64 mod_ssl.x86_64 ntpdate.x86_64 virtualmin-base.noarch .. Loaded plugins: fastestmirror, langpacks Loading mirror speeds from cached hostfile * base: mirror.esecuredata.com * extras: centos.les.net * updates: mirror.esecuredata.com Resolving Dependencies --> Running transaction check ---> Package httpd.x86_64 1:2.4.6-31.el7.centos.1.vm will be updated ---> Package httpd.x86_64 1:2.4.6-40.el7.centos.vm.1 will be an update ---> Package httpd-devel.x86_64 1:2.4.6-31.el7.centos.1.vm will be updated ---> Package httpd-devel.x86_64 1:2.4.6-40.el7.centos.vm.1 will be an update ---> Package httpd-manual.noarch 1:2.4.6-31.el7.centos.1.vm will be updated ---> Package httpd-manual.noarch 1:2.4.6-40.el7.centos.vm.1 will be an update --> Processing Dependency: httpd = 2.4.6-40.el7.centos.vm.1 for package: 1:httpd-manual-2.4.6-40.el7.centos.vm.1.noarch ---> Package httpd-tools.x86_64 1:2.4.6-31.el7.centos.1.vm will be updated ---> Package httpd-tools.x86_64 1:2.4.6-40.el7.centos.vm.1 will be an update ---> Package mod_ssl.x86_64 2:2.4.6-31.el7.centos.1.vm will be updated ---> Package mod_ssl.x86_64 2:2.4.6-40.el7.centos.vm.1 will be an update ---> Package ntpdate.x86_64 0:4.2.6p5-22.el7.centos.1 will be updated ---> Package ntpdate.x86_64 0:4.2.6p5-22.el7.centos.2 will be an update ---> Package virtualmin-base.noarch 0:5.0-3.rh will be updated ---> Package virtualmin-base.noarch 0:5.0-4.rh will be an update --> Finished Dependency Resolution Error: Package: 1:httpd-manual-2.4.6-40.el7.centos.vm.1.noarch (virtualmin) Requires: httpd = 2.4.6-40.el7.centos.vm.1 Removing: 1:httpd-2.4.6-31.el7.centos.1.vm.x86_64 (@virtualmin) httpd = 1:2.4.6-31.el7.centos.1.vm Updated By: 1:httpd-2.4.6-40.el7.centos.vm.1.x86_64 (virtualmin) httpd = 1:2.4.6-40.el7.centos.vm.1 Available: httpd-2.4.6-40.el7.centos.x86_64 (base) httpd = 2.4.6-40.el7.centos Available: httpd-2.4.6-40.el7.centos.1.x86_64 (updates) httpd = 2.4.6-40.el7.centos.1 Available: 1:httpd-2.4.6-17.el7.centos.centos.1.vm.x86_64 (virtualmin) httpd = 1:2.4.6-17.el7.centos.centos.1.vm Available: 1:httpd-2.4.6-18.el7.centos.vm.x86_64 (virtualmin) httpd = 1:2.4.6-18.el7.centos.vm Available: 1:httpd-2.4.6-18.el7.centos.vm.1.x86_64 (virtualmin) httpd = 1:2.4.6-18.el7.centos.vm.1 Available: 1:httpd-2.4.6-19.el7.centos.vm.x86_64 (virtualmin) httpd = 1:2.4.6-19.el7.centos.vm Available: 1:httpd-2.4.6-19.el7.centos.vm.2.x86_64 (virtualmin) httpd = 1:2.4.6-19.el7.centos.vm.2 Available: 1:httpd-2.4.6-31.el7.centos.vm.x86_64 (virtualmin) httpd = 1:2.4.6-31.el7.centos.vm You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest .. install failed!

No packages were installed. Check the messages above for the cause of the error.

Status: 
Active

Comments

Howdy -- Joe is looking into that issue, but in the meantime, try removing that httpd-manual package, that should resolve it.

You can do that with this command:

rpm -e httpd-manual